<template>
  <div class='social'>
    <ul class='social-list'>
      <li v-for='item in socialItems' :key='item.id' class='social-items'>
        <a :href='item.link'
           class='social-items-link'
           target='_blank'
           rel='noopener noreferrer'>
          <i :class='itemClass(item.id)'/>
        </a>
      </li>
    </ul>
  </div>
</template>

<script>
import social from '@/data/social.json';

export default {
  data() {
    return {
      socialItems: social,
    };
  },
  methods: {
    itemClass(id) {
      const item = this.socialItems.filter(value => value.id === id);
      const prefix = id === 'Email' ? 'fas' : 'fab';
      return `${prefix} fa-${item[0].icon}`;
    },
  },
};
</script>

<style>

</style>
